groovy.transform

## Annotation Type CompileStatic

    @Documented
    @Retention(value=SOURCE)
    @Target(value={METHOD,TYPE,CONSTRUCTOR,FIELD,LOCAL_VARIABLE,PACKAGE})
    public @interface CompileStatic

This will let the Groovy compiler use compile time checks in the style of Java then perform static compilation, thus bypassing the Groovy meta object protocol.

### Optional Element Summary

Optional Elements
`TypeCheckingMode` `value`

### Element Detail

#### value

    public abstract TypeCheckingMode value

Default:
  groovy.transform.TypeCheckingMode.PASS